Subject: Re: [bug#76246] [PATCH v5 6/6] gnu: g-golf: Redefine as a non-deprecated alias.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 25 Feb 2025 11:12:01 +0900

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> Pushed as db172d1f64a514babc9a2e4fd11fe8fe248e306e.
>
> * Added Tobias’ comment on the alias g-golf compromise.
>   I was at first inclined to drop the whole alias patch,
>   since David Pirotte did not respond on it, but the alias
>   is in Guix now.
>
> * Changed synopses and descriptions to be closer to what David Pirotte
>   wrote.  This means the synopsis no longer says “in Guile”, but
>   surprisingly, it does not negatively affect its search score with
>   “guix search guile gtk”.  However, I wrote "G-Golf GTK 4 examples"
>   instead of David’s "G-Golf Gtk-4 Examples".
>
> * In g-golf-adw-1-examples, I wrapped GDK_PIXBUF_MODULE_FILE rather
>   than GUIX_GDK_PIXBUF_MODULE_FILES, so it builds on the master
>   branch.  The main demo adwaita-1-demo does not work on master yet,
>   libadwaita is too old.  I plan to rewrite the wrapping when
>   GUIX_GDK_PIXBUF_MODULE_FILES is on master or rather 宋文武’s GCD [1]
>   is accepted.
>
> I would much welcome if G-Golf, AFAIK the only currently maintained
> and comprehensive library to access GTK and perhaps better Libadwaita
> in Guile, were put to use in Guix itself, as Maxim writes, but I will
> not be of help.

Thanks for your efforts in packaging this library, and for David for
having authored it in the first place!

-- 
Maxim